# class XMLRPC::FaultException

Raised when the remote procedure returns a fault-structure, which has two accessor-methods `faultCode` an Integer, and `faultString` a String.

### Attributes

faultCode[R]
faultString[R]

### Public Class Methods

new(faultCode, faultString) click to toggle source

Creates a new XMLRPC::FaultException instance.

`faultString` is passed to StandardError as the `msg` of the Exception.

Calls superclass method

    # File lib/xmlrpc/parser.rb, line 23
    def initialize(faultCode, faultString)
      @faultCode   = faultCode
      @faultString = faultString
      super(@faultString)
    end

### Public Instance Methods

to_h() click to toggle source

The `faultCode` and `faultString` of the exception in a Hash.

    # File lib/xmlrpc/parser.rb, line 30
    def to_h
      {"faultCode" => @faultCode, "faultString" => @faultString}
    end